//
//  MethodName.swift
//  scanbot_sdk
//
//  Created by Seifeddine Bouzid on 22.03.23.
//

import Foundation

public enum MethodName: String {
    case initScanbotSdk
    case getLicenseStatus
    case cleanupStorage
    case rotatePageClockwise
    case cropAndRotatePage
    case deletePage
    case applyImageFilter
    case getFilteredDocumentPreviewUri
    case createPdf
    case createTiff
    case createPage
    case createPageWithImageBytes
    case detectDocument
    case performOcr
    case estimateBlurOnPage
    case getOcrConfig
    case refreshImageUris
    case getDecryptedDataFromFile
    case detectBarcodesOnImages
    case startDocumentScanner
    case startBarcodeScanner
    case startMrzScanner
    case startEhicScanner
    case startCroppingScreen
    case startBatchBarcodeScanner
    case startLicensePlateScanner
    case startGenericDocumentRecognizer
    case unknown
    
    init(fromRawValue: String) {
        self = MethodName(rawValue: fromRawValue) ?? .unknown
    }
}
