import 'json/generic_document_configuration_json.dart';
export 'json/generic_document_configuration_json.dart';
export 'json/common_generic_document.dart';
export 'json/generic_document_wrappers.dart';

/// Generic Document Recognizer class. All UI configuration options are optional.
class GenericDocumentRecognizerConfiguration
    extends GenericDocumentRecognizerJsonConfiguration {
  /// The configuration object should be applied for this screen
  @override
  String? screen = "GenericDocumentRecognizer";

  GenericDocumentRecognizerConfiguration({
    super.flashEnabled,
    super.orientationLockMode,
    super.cameraModule,
    super.topBarBackgroundColor,
    super.topBarButtonsActiveColor,
    super.topBarButtonsInactiveColor,
    super.cameraOverlayColor,
    super.finderLineColor,
    super.finderLineWidth,
    super.fieldsCountTextColor,
    super.fieldConfidenceHighColor,
    super.fieldConfidenceModerateColor,
    super.fieldConfidenceLowColor,
    super.fieldConfidenceTextColor,
    super.tipTextColor,
    super.tipBackgroundColor,
    super.detailsBackgroundColor,
    super.detailsPrimaryColor,
    super.detailsActionColor,
    super.detailsSectionHeaderTextColor,
    super.detailsSectionHeaderBackgroundColor,
    super.cancelButtonTitle,
    super.cancelButtonHidden,
    super.clearButtonTitle,
    super.submitButtonTitle,
    super.fieldsCountText,
    super.confidenceValue,
    super.scanBackSideTitle,
    super.scanFrontSideTitle,
    super.startScanningTitle,
    super.scannedEverythingTitle,
    super.emptyValueTitle,
    super.enableCameraButtonTitle,
    super.enableCameraExplanationText,
    super.imageTitle,
    super.noDataTitle,
    super.acceptedDocumentTypes,
    super.sharpnessAcceptanceFactor,
    super.fieldsDisplayConfiguration,
    super.documentsDisplayConfiguration,
    super.excludedFieldTypes,
    super.flashButtonHidden,
    super.flashButtonTitle,
    super.useButtonsAllCaps,
    super.replaceCancelButtonWithIcon,
    super.cameraPreviewMode,
  });
}
